FullResult
Date: 2013-02-16

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.dir.master.fusion.results
Class FullResult

    java.lang.Object
      ResultElementBase
          org.gcube.dir.master.fusion.results.BaseResult
              org.gcube.dir.master.fusion.results.RankedResult
                  org.gcube.dir.master.fusion.results.FullResult

All Implemented Interfaces:
  java.lang.Comparable<RankedResult>

    public class FullResult

extends RankedResult

An extension of `RankedResult` in which results are annotated with term occurrence statistics.

Author:
  Fabio Simeoni (University of Strathclyde)

Constructor Summary
`FullResult()`

Method Summary
`void` | `fromXML(java.lang.String xml)` Builds an internal document from an XML representation of a result
`long` | `getLength()` Returns a length of the result.
`java.util.List<DefaultTerm>` | `getTerms()` Returns the term occurrence statistics for the result.
`void` | `setLength(long length)` Sets the length of the result.

Methods inherited from class org.gcube.dir.master.fusion.results.RankedResult
`compareTo, getScore, setScore, XMLserialise`

Methods inherited from class org.gcube.dir.master.fusion.results.BaseResult
`toXML`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.lang.Comparable
`compareTo`

Constructor Detail

### FullResult

    public FullResult()

Method Detail

### fromXML

    public void fromXML(java.lang.String xml)
                 throws java.lang.Exception

  Builds an internal document from an XML representation of a result

  Overrides:
    `fromXML` in class `RankedResult`
  Throws:
    `java.lang.Exception`

### getTerms

    public java.util.List<DefaultTerm> getTerms()

  Returns the term occurrence statistics for the result.

  Returns:
    the statistics.

### getLength

    public long getLength()

  Returns a length of the result.

  Returns:
    the length.

### setLength

    public void setLength(long length)

  Sets the length of the result.

  Parameters:
    `length` - the length.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD